Subject: Re: [JGIT PATCH 1/1] jgit: create a tag command

From: Robin Rosenberg <[email-masked]>
Date: Thu, 17 Jul 2008 23:31:17 +0200

lördagen den 12 juli 2008 05.42.06 skrev Shawn O. Pearce:
> "Shawn O. Pearce" <[email-masked]> wrote:
> > Mike Ralphson <[email-masked]> wrote:
> > 
> > > > I think we are at the point where we need to either write a
> > > > #@!*(!@(! command line option parser, import one, or stop writing
> > > > command line programs.  I would certainly appreciate any opinion
> > > > you might have on the matter.
> > > 
> > > a) is a distraction, c) is a backwards step, so maybe b) wins.
> > 
> > So I looked at GNU getopt and its at least smaller than Apache
> > Commons,
> 
> Probably the state-of-the-arg is args4j:
> 
>   https://args4j.dev.java.net/
> 
> It uses Java 5 annotations to setup the argument parsing:

But it doesn't use GNU getOpt's long/short style parsing which is a BIG loss. Maybe
we could contribute it? Or at least not design options incompatible with such an option
parser.

-- robin